<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(isset($_POST['ikdata'])){
if (!isset($_SESSION)) session_start();
$db=pDatabase::getInstance();
$datafungsi=[
	"getTabel"=>"getTabel",
	"datacari01"=>"datacari01",
	"inputkonten"=>"inputkonten",
	"editkonten"=>"editkonten",
	"hapusData"=>"hapusData",
	"setStatus"=>"setStatus"
];

if(!$db->ceckmodule($cl)) exit;
	$data=$_POST['ikdata'];
	$ex=false;
	if(isset($datafungsi[$data[0]])) $ex=$datafungsi[$data[0]]($data,$cl);
	echo $ex;
}else{
	echo false;
}

function gethalaman($qr,$dt,$jumlah){
	$db=pDatabase::getInstance();
	
	$rs=$db->loadAssoc($qr,$dt);
	
	$total=1;
	if(isset($rs['total'])){
		$total=ceil($rs['total']/$jumlah);
	}
	if($total==0){
		return 1;
	}else{
		return $total;
	}
}

function datacari01($data=array())
{
	$mode=0;
	$kunci=array("judul");
	$alias=array("Judul");
	$kolom=array("t1.judul");
	$jenis=array();
	
	$hasil=array("kunci"=>$kunci,"kolom"=>$kolom,"alias"=>$alias,"jenis"=>$jenis);
	if(sizeof($data)>0){
		$mode=$data[1];
	}
	if($mode==0){
		return $hasil;
	}else{
		return json_encode($hasil);
	}
}

function getTabel($data){
	$db=pDatabase::getInstance();
	$cari=$data[3];
	$arrcr=explode("&", $cari);
	
	$datapush=array();
	$wh="";
	if(sizeof($arrcr)>0){
		$arrkunci0=explode("=", $arrcr[0]);
		if(sizeof($arrcr)==1 && sizeof($arrkunci0)==1){
			$cr="%$cari%";
			$wh.="AND t1.judul LIKE ? ";
			array_push($datapush,$cr);
		}else{
			$datacari=$db->datacari(datacari01(),$arrcr);
			$datapush=$datacari['datapush'];
			$wh=$datacari['query'];
		}
	}
	
	if($_SESSION['profile']['level']<25){
		$wh.="and idlsp=? ";
		array_push($datapush,$_SESSION['profile']['idlsp']);
	}
	
	$qt="SELECT COUNT(*) as total FROM tb_agenda as t1
		WHERE t1.id>0 ".$wh;
		
	$total=gethalaman($qt,$datapush,$data[2]);
	array_push($datapush,$data[1],$data[2]);
	
	$query="SELECT t1.`id`,
					t1.`tanggal`,
					t1.`judul`,
					t1.`keterangan`,
					t1.`status`,
			$total as halaman FROM tb_agenda as t1
		WHERE t1.id>0 ".$wh."
		ORDER BY t1.tanggal desc LIMIT ?,?";
	$rs=$db->jsonData($query,$datapush);
	return $rs;
}

function inputkonten($data){
	$db=pDatabase::getInstance();
	date_default_timezone_set('Asia/Jakarta');
	$tanggal=$db->d_date($data['tanggal'])." ".$data['jam'];
	
	global $config_data;
	$keterangan=strip_tags($data['keterangan'],$config_data['tag_konten']);
	
	$datain=[
		"tanggal"=>$tanggal,
		"judul"=>strip_tags($data['judul']),
		"keterangan"=>$keterangan,
	];
	$rs=$db->insert("tb_agenda",$datain,0,1);
	return $rs;
}
function editkonten($data){
	$db=pDatabase::getInstance();
	date_default_timezone_set('Asia/Jakarta');
	$sekarang = date("Y-m-d H:i:s");
	$tanggal=$db->d_date($data['tanggal'])." ".$data['jam'];
	
	global $config_data;
	$keterangan=strip_tags($data['keterangan'],$config_data['tag_konten']);
	
	$datain=[
		"tanggal"=>$tanggal,
		"judul"=>strip_tags($data['judul']),
		"keterangan"=>$keterangan,
	];
	$rs=$db->update("tb_agenda",$datain,"id",$data['id'],1);
	return $rs;
}
function hapusData($data){
	$db=pDatabase::getInstance();
	
	$query="DELETE FROM tb_agenda WHERE id=? ";
	$rs=$db->query($query,array($data['id']));
	return $rs;
}

function setStatus($data){
	$db=pDatabase::getInstance();
	$dataup=[
		"status"=>$data['status']
	];
	$rs=$db->update("tb_agenda",$dataup,"id",$data['id']);
	return $rs;
}

?>